<?php
include 'header.php';
include 'erpc_monitoramento_nfe_toolbar.php'; //Nome da tabela _list.php
include 'connect.php';

require_once 'inc/nfecode_recibo.php';

// Atualizar os Status das Nfe em aberto
try{
  emite_nfecode_setStatusAll();
}catch (Exception $e) {
  $p_error = 'Houve um erro ao enviarSolicitacao : ' . $e->getMessage() ;
  addError($p_error);
}

$consulta = emite_nfecode_getAll();

?>

<div class="block">
  <div class="block">
    <div class="header">
      <h2>Monitoramento de Nfe
      </h2>
    </div>

    <div class="block">
      <div class="content">
        <?php
        displayMessagesAndErrors(true);
        ?>
      </div>
    </div>
  </div>


  <div class="content">
		<form id=validate_custom method="post" action="erpc_documentos_saida_ws.php">

    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>

						<!-- <th width=03%>Seleção</th> -->
						<th width=03%>Status</th>
            <th width=10%>Nr. NF</th>
            <th width=10%>Dt. NF</th>
            <th width=10%>Vl. NF</th>
						<th width=05%>Chave</th>
						<th width=05%>Cód.</th>
            <th width=30%>Status</th>
						<th width=10%>Recibo</th>

						<th width=10%>Ações</th>

          </tr>
        </thead>
        <tbody>

				<?php

        foreach ($consulta as $key => $registro) {

            // ID do Documento Saida Original
            $id      = $registro['id'];
            $id_crip = base64_encode($id);

            $id_pedido_original = $registro['id_pedido_original'];
            $id_pedido_crip = base64_encode($id_pedido_original);

            $id = $registro['id'];
            // $id_pedido_venda = $registro['id_pedido_venda'];
            $ds_numnf = $registro['ds_numnf'];
            $dt_emissao = $registro['dt_emissao'];
            $vl_total_nota = number_format($registro['vl_total_nota'], 2, '.', ',');
            $id_status_transmissao = $registro['id_status_transmissao'];
            $ds_chave = $registro['ds_chave'];
            $cd_status = $registro['cd_status_nfe'];
            $ds_status = $registro['ds_status_nfe'];
            $nr_recibo = $registro['ds_recibo_sefaz'];


            // $id_documento_saida = $registro['id_documento_saida'];

						//  formata a data para exibição
						if(!$dt_emissao==''){
							  $dt_documento_conv = date('d/m/Y', strtotime($dt_emissao));
						}else{
							  $dt_documento_conv = '';
						}

            /* consulta novamente o Status da NFE em caso 103, lote enviado
            if($id_status_transmissao==3 && !$ds_char==""){
              $resp = emite_nfecode_getStatusRecibo('2', $ds_chave);

              // atualiza o status da nota fiscal, atravez do recibo
              $ok = emite_nfecode_updateRecibo($id_documento_saida, $resp);

              // campos para exibição na lista
              $cd_status = $resp['cStat'];
              $ds_status = $resp['xMotivo'];
            }*/
			echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' name='id_gera[]' value='$id' class='validade[requerid] form-control' requerid /></td>";

            echo "<td class='text-center'><img src='img/icones/bullet_green.png'/></img></td>";

            // echo "<td>$id_status_transmissao</td>";

            echo "<td>" . substr("00000000" . $ds_numnf,-8) . "</td>";

						// echo "<td>$id_pedido_venda</td>";
            echo "<td>$dt_documento_conv</td>";
						echo "<td>$vl_total_nota</td>";
						echo "<td>...</td>";
						echo "<td>$cd_status</td>";
						echo "<td>$ds_status</td>";
						echo "<td>$nr_recibo</td>";


						/*
						echo "<td>$id_documento_saida</td>";
						echo "<td>$ds_serie_documento</td>";
						echo "<td>$nr_sequencia</td>";
						echo "<td>$nr_grupo</td>";
						*/

            // echo "<td class='text-center'><a href='erpc_documentos_saida_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
            echo "<td class='text-center'>";

            // Exibir o Botão de Impressão somente para caso de Autorizado pela Sefaz
            if($cd_status=="100"){
              echo "<a href='erpc_nfecode_danfe.php?id=$id_crip'>      <i class='glyphicon glyphicon-print' title='Imprimir Danfe'><span class='sr-only'>Imprimir Danfe</span></i></a>";
              echo "<a href='erpc_nfecode_cancela.php?id=$id_crip'><i class='glyphicon glyphicon-trash' title='Cancelar Nfe'  ><span class='sr-only'>Cancelar Nfe</span></i></a>";
            }else if($cd_status=="101"){
              // echo "<a href='erpc_nfecode_detail.php?id=$id_crip'><i class='glyphicon glyphicon-info-sign' title='Info'><span class='sr-only'>Info</span></i></a>";

              echo "<a target='_blank' href='erpc_pedidos_venda_edit.php?id=$id_pedido_crip&id_saida=$id_crip'><i class='glyphicon glyphicon-info-sign' title='Info'><span class='sr-only'>Info</span></i></a>";

            }else{
              echo "<a href='erpc_nfecode_xml.php?id=$id_crip'><i class='glyphicon glyphicon-repeat' title='Enviar'><span class='sr-only'>Enviar</span></i></a>";
              echo "<a target='_blank' href='erpc_pedidos_venda_edit.php?id=$id_pedido_crip&id_saida=$id_crip'><i class='glyphicon glyphicon-info-sign' title='Info'><span class='sr-only'>Info</span></i></a>";

              // echo "<a href='erpc_nfecode_detail.php?id=$id_crip'><i class='glyphicon glyphicon-info-sign' title='Info'><span class='sr-only'>Info</span></i></a>";
            }

            echo "</td></tr>";
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->

<!--
		<div class="footer">
	    <div class="side pull-right">
	      <div class=btn-group>
	        <button  id="btn-voltar"     class="btn btn-default btn-cleanx">Voltar</button>
					<button  name="btn-prosseguir" class="btn btn-primary btn-cleanx" type="submit" value="prosseguir" onClick="$('#validate_custom').validationEngine('hide');" >Prosseguir</button>
	      </div>
	    </div>
	  </div>
-->

  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
